\version "2.18.2"
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 18)

\include "chant1.ly"
\include "Tone1_C.ly"
\include "Tone1_A.ly"
\include "Tone1_T.ly"
\include "Tone1_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Primi Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/magnificat"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \transpose c g, \fourPart "gombert/magnificat/toneI/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/quiaRespexit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \transpose c g, \fourPart "gombert/magnificat/toneI/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/etMisericordia"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \transpose c g, \Trio "gombert/magnificat/toneI/fePo" "/superius" "/altus" "/tenor"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/deposuit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \transpose c g, \fourPart "gombert/magnificat/toneI/esur"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/suscepit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \transpose c g, \Quintet "gombert/magnificat/toneI/siLo" "/superius" "/altus"
    "/tenor" "/tenorII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c c, \chantMovt "magnificat/toneI/gloriaPatri"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \transpose c g, \Sextet "gombert/magnificat/toneI/siEr" "/superius" "/altus"
    "/tenor" "/tenorII" "/bassusII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}
