\putMusic "gombert/magnificat/toneI/etEx/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'mod {\clef "G_8" }
  \tag #'ori {\clef "petrucci-c3"}
  \key d \minor
  \time 2/2
  \CTwoBRest bes1 c d1. c2 d2.
  e4 f2 d c2. bes4 a g
  a2 g bes c d1 c2 d\breve
  a1 r r2

  d2. c4 c2 bes g d' \fic ees
  d2. bes4 c1 d r2

  d1 c2 bes g d'4 e f d
  f2 e4 d c2 d f1 e d r2

  d1 d2 d d c a bes2. c4
  d2 g,4 a bes c d bes
  c1 d2 g,4 a bes c d2
  \tag #'ori {\petrbl g2 a bes \petrble}
  \tag #'mod {g,4\startTextSpan a bes2\stopTextSpan}
  c2 d c1 bes r2

  d2 c bes \fic ees \fic ees! d f e c
  d f1 e4 d e1 r2

  d1 c bes2 \fic ees d1 c2 d
  bes a g c2. bes4 a1
  g\longa
}

\putMusic "gombert/magnificat/toneI/etEx/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  r\longa bes1 c d1. c2 d2. e4
}

\putMusic "gombert/magnificat/toneI/etEx/tenor/lyrics"
\lyricmode{
  Et ex -- ul -- ta -- \repeat unfold 9 _ vit
  \it
  et ex -- ul -- ta -- _ vit
  \ite
  
  spi -- ri -- tus
  me -- _ _ _ _ _ _ us

  spi -- ri -- tus me -- \repeat unfold 11 _ us
  in de -- o sa -- lu -- ta -- ri __ _ _ me -- _ _ _ _ _ _ o
  \it
  sa -- _ _ _ lu -- ta -- _ ri me -- _ _ o
  \ite

  sa -- lu -- ta -- ri me -- o
  \it
  sa -- lu -- ta -- ri me -- _ _ o
  \ite
  
  sa -- lu -- ta -- ri me -- _ o

  sa -- lu -- ta -- ri __ _ me -- o
}

\putMusic "gombert/magnificat/toneI/quFe/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8" }
  \key d \minor
  \time 2/2
  \CTwoBRest \CBRest bes1 c2 d1 c4
  bes a2 bes1 a4 g f1 r

  f g a g2 bes bes g a bes c c
				%Second Line
  bes2. a4 f2. g4 a2 bes
  a1 g2. a4 bes c d2 c d1
  c4 bes c2 d bes c d1. \fic cis2 d\breve r1

  d1 bes2 d2. c8 bes
				%Third Line
  c2 a bes a1 r1 r2

  g1 f2 bes c d2. c4 a2 c1
  bes2 c1 bes2 g1 f2 bes2
  c d2. c4 bes2 a bes1 a r r2

  g1 f2
				%Fourth Line
  bes2 c d1 \[g,1 a\] g\longa*2
}

\putMusic "gombert/magnificat/toneI/quFe/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  r\longa \plre r\breve #-1

  bes1 c2 d1 c4 bes a2
}

\putMusic "gombert/magnificat/toneI/quFe/tenor/lyrics"
\lyricmode{
  Qui -- a fe -- _ _ _ _ _ _ cit

  qui -- a fe -- cit
  mi -- hi mag -- na
  qui po -- tens
  est __ _
  \it
  mi -- _ hi mag -- na
  qui __ _ _ _ po -- \repeat unfold 9 _ tens est
  \ite
  
  qui po -- _ _ _ _ _ tens est
  
  et sanc -- tum no -- men __ _ _ e -- _ _ ius
  et sanc -- tum no -- men __ _ _ e -- _ ius

  et sanc -- tum no -- men e -- _ ius
}

\putMusic "gombert/magnificat/toneI/fePo/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8" }
  \key d \minor
  \time 2/2
  bes\breve c1 d2. c4 bes2
  a bes c f, g2. a4 bes c
  d2 bes2 a1 g bes c d c2
  bes a1 g2 g
				%L2
  a bes c e d c4 bes a1
  g2 bes c d1 \fic cis2 d1 r\breve

  a1 d2 f e d c4 d e c
  d1 g,2 d'
				%L3
  c bes f'2. e4 d2 c bes1
  a r2

  bes a g d' f2. e4 c2 d
  bes a1 \CBRest r1 r2

  d d c d bes a\breve c1. bes2
  g bes a1 g\breve
				%L4
  r1 r2

  g'1 f2 d f e1 d1 r\breve r2

  g1 f2 d f \fic ees1 d2 c d \fic ees
  c \fic ees d1 g,2 c1 bes2 g bes c1
  \noBar
  g\longa
}

\putMusic "gombert/magnificat/toneI/fePo/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  bes\breve c1 d2. c4 bes2
}

\putMusic "gombert/magnificat/toneI/fePo/tenor/lyrics"
\lyricmode{
  Fe -- cit po -- _ ten -- \repeat unfold 9 _ ti -- am
  fe -- cit po -- ten -- _ _ ti -- am
  in bra -- chi -- o su -- \repeat unfold 9 _ o

  in bra -- chi -- o su -- _ _ _ _ _ o
  \it
  in bra -- chi -- o __ _ _ su -- _ o
  \ite

  in bra -- chi -- o su -- _ _ _ _ o

  dis -- per -- sit su -- per -- bos
  men -- te cor -- dis su -- i

  men -- te cor -- dis su -- i

  \it
  men -- te cor -- dis su -- \repeat unfold 7 _ i
  \ite
  men -- te cor -- dis su -- i
}

\putMusic "gombert/magnificat/toneI/esur/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8" }
  \key d \minor
  \time 2/2
  \CBRest bes\breve bes1 c d\breve
  d d2. c4 bes2 a4 g f2
  bes1 a2 bes1 a \CBRest r2

  bes2 c d \fic ees d1 c2 d4 \fic ees
  %L2
  f d \fic ees1 d2 a bes c d1.
  \fic cis2 d1 r\breve r2

  a1 bes2 g c2. a4 d1 c2 d1
  r2

  d2 e4 c f2 e1 d2
  %L3
  d e c f d e1 d1 r\breve r2

  d1 c2 bes d a1 r1 r2

  d1 c2 bes d a a bes g a1
  g r1 \CBRest r2

  d' f1 e2 c d1
  %L4
  c2 bes4 a bes2 g bes1 a2
  f \[ g1 a \] g\longa
}

\putMusic "gombert/magnificat/toneI/esur/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  \plre r\breve #-1

  bes\breve bes1 c d\breve d
}

\putMusic "gombert/magnificat/toneI/esur/tenor/lyrics"
\lyricmode{
 E -- su -- ri -- en -- tes
 \it
 e -- _ su -- ri -- _ en -- _ _ _ tes
 \ite

 e -- su -- ri -- en -- \repeat unfold 7 _ tes
 (im -- ple -- vit bo -- _ nis)
% e -- su -- ri -- en -- _ tes

 im -- ple -- vit bo -- _ _ _ nis
 \it
 im -- ple -- _ vit bo -- nis
 \ite
 im -- ple -- vit bo -- _ _ nis

 et di -- vi -- _ tes

 et di -- vi  -- _ tes
 \it
 et di -- vi -- _ tes
 \ite

 di -- mi -- sit in -- a -- _ _ _ nes
 di -- mi -- sit
 in -- a -- _ nes
}

\putMusic "gombert/magnificat/toneI/siLo/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8"}
  \key d \minor
  \time 2/2
  \CTwoBRest bes1 c d1. c4
  bes a bes g2 a1 f g
  a bes2. f4 a2 g1 f2
  g1. f2 g2 bes1 a2 bes\breve
  %L2
  r2 bes c1 g4 a bes c d2
  a bes d2. c4 c2 d g,
  bes c a1 g \CBRest r1 r2

  bes1 c2 g bes1 a4 g
  %L3
  c2 a1 bes2 g d' d a
  c1 bes2 g a1 r2

  c c g bes2. c4 d2 \fic ees
  c d r2

  g, a bes c a g1 r2

  g2 a bes
  %L4
  c2 a r2

  a bes c d1 g,2 c
  bes g a1 g\longa
}

\putMusic "gombert/magnificat/toneI/siLo/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  r\longa bes1 c d1. c4 bes a bes
}

\putMusic "gombert/magnificat/toneI/siLo/tenor/lyrics"
\lyricmode{
  Si -- cut lo -- _ _ cu -- _ tus est
  Si -- cut lo -- cu -- \repeat unfold 8 _ tus est
  
  ad pa -- tres __ _ _ _ _ no -- _ _ _ _ stros
  \it
  ad pa -- tres no -- stros
  \ite

  ad pa -- tres no -- _ _ _ _ _ stros
  Ab -- ra -- ham et se -- mi -- ni

  Ab -- ra -- ham et se -- mi -- ni e -- ius

  in sae -- _ _ cu -- la
  \it
  in sae -- _ cu -- la
  \ite
  in sae -- \repeat unfold 6 _ cu -- la
}

\putMusic "gombert/magnificat/toneI/siLo/tenorII/melody"
\relative c'' {
  \set Staff.instrumentName = "Tenor II"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8"}
  \key d \minor
  \time 2/2
  r1 g1 f2 e d f1 e4 d
  \fic ees1 d bes c d c2 d1 c2
  d f2. \fic ees4 d2 c2. bes4
  a1 g r2

  bes c d
  %L2
  c1 bes4 c d e f2 d
  d1 r1 r2

  bes1 c2 g bes1 a4 g
  bes2. c4 d2 \fic ees d1 r2

  bes2 c1 g2 bes1 a4 g
  a2
  %L3
  bes2 g g'2. f4 f2 d1
  e d4 c bes a bes1 a2
  f' f c e4 d g1 f2 g4
  f e d c2 d bes1 r1 r2

  a2 bes c d2. c8 bes
  %L4
  a2 d1 c2 f2 g f2. g4
  e2 d4 c bes2 a g g
  a bes c a bes c d1 bes\longa 
}

\putMusic "gombert/magnificat/toneI/siLo/tenorII/incipit"
\relative c'' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  r1 g1 f2 e d f1
}

\putMusic "gombert/magnificat/toneI/siLo/tenorII/lyrics"
\lyricmode{
  Si -- cut lo -- cu -- _ _ _ tus est
  Si -- cut lo -- cu -- \repeat unfold 8 _ tus est

  si -- cut lo -- cu -- _ _ _ _ _ tus est
  
  ad pa -- tres no -- _ _ _ _ _ _ stros

  ad pa -- tres no -- _ _ _ _ stros
  \it
  ad __ _ pa -- tres no -- _ _ _ _ _ stros
  \ite
  Ab -- ra -- ham et __ _ se -- mi -- ni __ _ _ _
  e -- _ ius

  et se -- mi -- ni __ _ _ _ e -- \repeat unfold 9 _ ius
  et se -- mi -- ni e -- ius
  in sae -- cu -- la
}

\putMusic "gombert/magnificat/toneI/siEr/tenor/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8"}
  \key d \minor
  \time 2/2
  r1 bes1 c2 d2. \fic e4
  f1 e2 f2. e4 d2 bes c1 a
  bes r1

  f'1. d2 e g f d1 c4 bes a1 r1 \CBRest

  %L2
  d2. c4 bes2 a g4 a bes c
  d1 bes2. c4 d1 r\breve

  d1 f2 d2. c4 f2 d bes
  d2. c4 a2 bes g d'1 c2
  %L3
  d2 bes c d1 c2 d f e
  c d bes c1 bes2 g
  \flex \[ a1 g \] a1 r2 \flexe

  a d bes c1
  %L4
  a2. g4 a2 bes a bes2. a4
  g f e2 e' e4 d c bes
  a2. g4 f2 f'2. e4 d c
  bes2 f bes g a1 f2 f'
  %L5
  e f d f1 e4 d e1 r2

  d c d bes c d1 bes1 \CBRest

  g'1 f2 g e f g e d
  d e f d e
  %L6
  d1. bes2 c bes \fic ees
  d c1 \fic b\longa 
}

\putMusic "gombert/magnificat/toneI/siEr/tenor/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  \plre r1 #0 bes1 c2 d2. e4 f1
}

\putMusic "gombert/magnificat/toneI/siEr/tenor/lyrics"
\lyricmode{
  Si -- cut e -- \repeat unfold 9 _ rat

  in prin -- ci -- pi -- _ _ _ _ o


  in __ _ _ prin -- ci -- _ _ _ pi -- _ _ o

  
  et nunc et __ _ _ sem -- \repeat unfold 13 _ per
  et nunc et sem -- _ _ _ _ _ _ per

  et nunc et sem -- _ _ per
  et in sae -- _ cu -- _ la
  et in __ _ _ _ sae -- cu -- la
  \it
  et __ _ _ _ _ in sae -- _ cu -- la
  \ite
  et in sae -- _ cu -- _ _ la

  sae -- cu -- lo -- rum
  A -- _ men
  
  \it
  sae -- cu -- lo -- rum
  A -- _ _ men
  \ite
  se -- cu -- lo -- rum
  a -- men
  se -- cu -- lo -- rum
  A -- _ men
}

\putMusic "gombert/magnificat/toneI/siEr/tenorII/melody"
\relative c' {
  \set Staff.instrumentName = "Tenor II"
  \tag #'ori {\clef "petrucci-c3"}
  \tag #'mod {\clef "G_8"}
  \key d \minor
  \time 2/2
  \CTwoBRest bes1 c2 d2. e4
  f1 e2 f f, g4 a bes2. a4
  a2 bes2. c4 d1 c2 bes d1 r1 r2

  a2 c d
  %L2
  \fic ees d2. bes4 c2 d f e d2. c4 bes2
  a1 g2 bes1 d2 c bes \fic ees1
  d2. c4 a1 r r2

  d1 f2 d1 c2 a
  %L3
  g1 \CBRest

  g'1 f2 d e f1 e4 d e2
  c d bes c d1 c2 d f e
  c \[ d1 e \]
  %L4
  d\breve. r2

  g1 c,2 e f c d f2. e4
  d c bes2 f'2. e4 d2 \fic ees
  c1 bes2 d c d bes c d1 r2

  a
  %L5
  bes2 g2. e4 f2 \[ g1 a \]
  g1 d' c2 d bes4 c d1 c4 bes
  c2 a bes a f4 g a f g2 d'1
  c4 bes a1 g\longa s\longa 
}

\putMusic "gombert/magnificat/toneI/siEr/tenorII/incipit"
\relative c' {
  \clef "petrucci-c3"
  \time 2/2
  \key d \minor
  r\longa bes1 c2 d2. e4 f1
}

\putMusic "gombert/magnificat/toneI/siEr/tenorII/lyrics"
\lyricmode{
  Si -- cut e -- _ _ _ rat
  si -- _ _ cut __ _ e -- _ _ _ _ _ rat

  si -- cut e -- \repeat unfold 11 _ rat
  in prin -- ci -- pi -- _ _ _ o

  \it
  in prin -- ci -- pi -- _ o
  \ite
  
  et nunc et sem -- \repeat unfold 10 _ per
  et nunc et sem -- _ per

  et in sae -- _ _ _ cu -- _ _ _ la
  \it
  et __ _ in sae -- cu -- la
  \ite
  se -- cu -- lo -- rum
  a -- men
  
  \it
  sae -- cu -- lo -- _ rum
  a -- _ men
  \ite
  sae -- cu -- lo -- _ _ _ _ _ rum
  a -- _ _ _ _ _ _ men
  A -- _ _ _ men
}